$("#newAccountForm").submit(function(e){
    e.preventDefault();
    //get all data as json from the form and log it
    const data = getFormData('newAccountForm');
    //Check if #tandcButton checkbox is checked
    if(!$("#tandcButton").is(":checked")){
        swal("Attention!","You are required to agree to the terms and conditions before you can proceed","warning");
        return;
    }
    const reorganised_data = {
        merchant:{
            merchant_name: data.merchant_name,
            address_line_1:data.address_line_1,
            address_line_2:data.address_line_2,
            city:data.city
        },
        user:{
            firstname:data.firstname,
            lastname:data.lastname,
            msisdn:data.msisdn,
            email:data.email
        }
    }
    new Merchant().create(reorganised_data)
})


class Merchant
{
    create = async (data)=>{
        //Check if password and password2 are a match

        const PROMPT_MESSAGE = "Are you sure you want to create this account?";
        webConfirm(PROMPT_MESSAGE, async res=>{
            if(res){
                PostOptions.body = JSON.stringify(data)

                try{
                    $("#newAccountForm").addClass("loading");
                    let request = await fetch(`${BASE_URL}/merchants`, PostOptions)
                    let response = await request.json()
                    console.log(response)

                    if(request.ok){
                        swal("Success!", "Merchant Profile created successfully", "success");
                        $("#newAccountForm")[0].reset();
                        $("#tandcButton").prop("checked", false);
                        //set timeout and redirect to login page after 2 seconds
                        setTimeout(()=>{
                            window.location.href = `/login`
                        }, 2000)
                    }else{
                        console.log("Error: %s",response.message)
                        swal("Oops!", response.message, "error");
                    }
                }catch(err){
                    console.log(err)
                    swal("Processing Error!", err.message, "error");
                }finally{
                    $("#newAccountForm").removeClass("loading");
                }
            }
        })
    }

}
